'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

let Dialog = function (_Component) {
  _inherits(Dialog, _Component);

  function Dialog() {
    _classCallCheck(this, Dialog);

    return _possibleConstructorReturn(this, _Component.apply(this, arguments));
  }

  Dialog.prototype.render = function render() {
    var _props = this.props,
        _props$className = _props.className;

    const className = _props$className === undefined ? '' : _props$className,
          props = _objectWithoutProperties(_props, ['className']);

    return _react2.default.createElement('div', _extends({ className: `mt-dialog ${className}` }, props));
  };

  return Dialog;
}(_react.Component);

Dialog.Title = (_ref) => {
  var _ref$className = _ref.className;

  let className = _ref$className === undefined ? '' : _ref$className,
      props = _objectWithoutProperties(_ref, ['className']);

  return _react2.default.createElement('div', _extends({ className: `mt-dialog_title ${className}` }, props));
};

Dialog.Body = (_ref2) => {
  var _ref2$className = _ref2.className;

  let className = _ref2$className === undefined ? '' : _ref2$className,
      props = _objectWithoutProperties(_ref2, ['className']);

  return _react2.default.createElement('div', _extends({ className: `mt-dialog_content ${className}` }, props));
};

Dialog.Actions = (_ref3) => {
  var _ref3$className = _ref3.className;

  let className = _ref3$className === undefined ? '' : _ref3$className,
      props = _objectWithoutProperties(_ref3, ['className']);

  return _react2.default.createElement('div', _extends({ className: `mt-dialog_actions ${className}` }, props));
};

Dialog.propTypes = {
  className: _propTypes2.default.string
};

exports.default = Dialog;