var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';

var InlineSpinner = function (_Component) {
  _inherits(InlineSpinner, _Component);

  function InlineSpinner() {
    _classCallCheck(this, InlineSpinner);

    return _possibleConstructorReturn(this, (InlineSpinner.__proto__ || Object.getPrototypeOf(InlineSpinner)).apply(this, arguments));
  }

  _createClass(InlineSpinner, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          _props$size = _props.size,
          size = _props$size === undefined ? 'calc(var(--mt-baseFontSize, 1rem) * 1.125)' : _props$size,
          style = _props.style,
          rest = _objectWithoutProperties(_props, ['size', 'style']);

      return React.createElement(
        'svg',
        _extends({
          style: _extends({
            width: size,
            height: size
          }, style),
          viewBox: '0 0 50 40'
        }, rest),
        React.createElement(
          'g',
          { className: 'mt-inlineSpinner_one' },
          React.createElement('circle', { cx: '10', cy: '10', r: '5', className: 'mt-inlineSpinner_circle' })
        ),
        React.createElement(
          'g',
          { className: 'mt-inlineSpinner_three' },
          React.createElement('circle', { cx: '40', cy: '10', r: '5', className: 'mt-inlineSpinner_circle' })
        ),
        React.createElement(
          'g',
          { className: 'mt-inlineSpinner_two' },
          React.createElement('circle', { cx: '25', cy: '10', r: '5', className: 'mt-inlineSpinner_circle' })
        )
      );
    }
  }]);

  return InlineSpinner;
}(Component);

export default InlineSpinner;


InlineSpinner.propTypes = {
  size: PropTypes.oneOfType([PropTypes.number, PropTypes.string])
};